## - You need to have an INLA installation 
## on the server which you would like to use
## - The connection runs via ssh. For this purpose
## you need to copy the public part of your ssh-key
## to the server, so that you can login passwordless
## - Before using the remote option in INLA the first
## time, run inla.remote() which creates the 
## file .inlarc in your home directory. You have to edit
## this file accordingly. 

## For more details see: 
## http://www.r-inla.org/faq#TOC-I-have-access-to-a-remote-Linux-server-is-it-possible-to-run-the-computations-remotely-and-running-R-locally-

libray(INLA)
# Example use of the "remote" argument 
# (you need to be logged in in R until the job is finished)
data(Seeds)
formula = r ~ x1*x2+f(plate,model="iid")
result = inla(formula,data=Seeds,family="binomial",Ntrials=n, inla.call="remote")

# Example use of the "submit" 
# (you can be logged in, but you don't need to)
data(Seeds)
formula = r ~ x1*x2+f(plate,model="iid")
result = inla(formula,data=Seeds,family="binomial",Ntrials=n, inla.call="submit")

# check whether your job is finished
inla.qstat()

# if you stayed logged in get it like this
result= inla.qget(result, remove=FALSE)

# after logging out, you need to use the job-id
result= inla.qget(inla.qstat()[[1]]$id, remove=FALSE)

# delete all jobs 
inla.qnuke()

